> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a Cardano native asset including metadata, supply, and minting policy details.

# Native asset information



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /assets/{asset}
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /assets/{asset}:
    get:
      tags:
        - Assets
      summary: Native asset information
      description: Return a summary of information about an asset
      operationId: asset_info
      parameters:
        - name: asset
          in: path
          description: Asset, encoded as concatenation of hex of policy ID and asset name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Information about the asset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedAssetInfo'
              examples:
                CIP-25:
                  summary: Asset with CIP-25 metadata
                  value:
                    data:
                      asset_name: 6164616d616e74
                      asset_name_ascii: adamant
                      fingerprint: asset105lxc60yjpqygjsnn29e5hjyafnfw75pqwwza2
                      total_supply: '1'
                      unique_holders:
                        by_address: 1
                        by_account: 0
                      first_mint_tx:
                        tx_hash: >-
                          257916e7ae112cf16f27218e41bfa37c018bab922354201b3b38c9a24c35ab33
                        slot: 55718892
                        timestamp: '2022-03-14 19:13:03'
                        amount: '1'
                      latest_mint_tx:
                        tx_hash: >-
                          257916e7ae112cf16f27218e41bfa37c018bab922354201b3b38c9a24c35ab33
                        slot: 55718892
                        timestamp: '2022-03-14 19:13:03'
                        amount: '1'
                      mint_tx_count: 1
                      burn_tx_count: 0
                      asset_standards:
                        cip25_metadata:
                          name: $adamant
                          description: The Handle Standard
                          website: https://adahandle.com
                          image: >-
                            ipfs://Qmai8iwE1Diw5YZVYSpSPAbXM5AVprheve8AAXJzwXoftf
                          core:
                            og: 0
                            termsofuse: https://adahandle.com/tou
                            handleEncoding: utf-8
                            prefix: $
                            version: 0
                          augmentations: []
                        cip68_metadata: null
                      latest_mint_tx_metadata:
                        '721':
                          f0ff48bbb7bbe9d59a40f1ce90e9e9d0ff5002ec48f232b49ca0fb9a:
                            cardanosweets:
                              name: $cardanosweets
                              description: The Handle Standard
                              website: https://adahandle.com
                              image: >-
                                ipfs://QmaNoVpks3gAR4oayMkx9uHU2baDMGQrBAzpM1PZ3ebJBu
                              core:
                                og: 0
                                termsofuse: https://adahandle.com/tou
                                handleEncoding: utf-8
                                prefix: $
                                version: 0
                              augmentations: []
                            adamant:
                              name: $adamant
                              description: The Handle Standard
                              website: https://adahandle.com
                              image: >-
                                ipfs://Qmai8iwE1Diw5YZVYSpSPAbXM5AVprheve8AAXJzwXoftf
                              core:
                                og: 0
                                termsofuse: https://adahandle.com/tou
                                handleEncoding: utf-8
                                prefix: $
                                version: 0
                              augmentations: []
                      token_registry_metadata: null
                    last_updated:
                      timestamp: '2023-10-18 07:30:52'
                      block_hash: >-
                        0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                      block_slot: 106047961
        '400':
          description: Malformed query parameters
        '404':
          description: No results found
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedAssetInfo:
      type: object
      description: >-
        Timestamped response. Returns the endpoint response data along with the
        chain-tip of the indexer, which details at which point in the chain's
        history the data was correct as-of.
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/AssetInfo'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    AssetInfo:
      type: object
      description: Information about a specific Cardano native-asset
      required:
        - asset_name
        - asset_name_ascii
        - fingerprint
        - total_supply
        - unique_holders
        - first_mint_tx
        - latest_mint_tx
        - mint_tx_count
        - burn_tx_count
        - asset_standards
      properties:
        asset_name:
          type: string
          description: Hex encoding of the asset name
        asset_name_ascii:
          type: string
          description: ASCII representation of the asset name
        asset_standards:
          $ref: '#/components/schemas/AssetStandards'
        burn_tx_count:
          type: integer
          format: int64
          description: Number of transactions which burned some of the asset
          minimum: 0
        fingerprint:
          type: string
          description: CIP-14 fingerprint of the asset
        first_mint_tx:
          $ref: '#/components/schemas/MintTransaction'
        latest_mint_tx:
          $ref: '#/components/schemas/MintTransaction'
        latest_mint_tx_metadata:
          type: object
          description: >-
            Metadata of the most recent transaction which minted or burned the
            asset
          nullable: true
        mint_tx_count:
          type: integer
          format: int64
          description: Number of transactions which minted some of the asset
          minimum: 0
        token_registry_metadata:
          allOf:
            - $ref: '#/components/schemas/TokenRegistryMetadata'
          nullable: true
        total_supply:
          type: string
          description: Total amount of the asset in existence currently
        unique_holders:
          $ref: '#/components/schemas/Holders'
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    AssetStandards:
      type: object
      description: Asset information corresponding to popular standards
      properties:
        cip25_metadata:
          type: object
          description: CIP-25 metadata for a specific asset
          nullable: true
        cip68_metadata:
          allOf:
            - $ref: '#/components/schemas/Cip68Metadata'
          nullable: true
    MintTransaction:
      type: object
      description: Transaction hash with details of when that transaction appeared on-chain
      required:
        - tx_hash
        - slot
        - timestamp
        - amount
      properties:
        amount:
          type: string
          description: Amount of asset minted or burned (negative if burned)
        slot:
          type: integer
          format: int64
          description: Absolute slot of the block which includes the transaction
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of the block which includes the transaction
        tx_hash:
          type: string
          description: Transaction hash
    TokenRegistryMetadata:
      type: object
      description: Token registry metadata
      required:
        - name
        - description
      properties:
        decimals:
          type: integer
          format: int64
          description: Recommended value for decimal places
          nullable: true
        description:
          type: string
          description: Asset description
        logo:
          type: string
          description: Base64 encoded logo PNG associated with the asset
          nullable: true
        name:
          type: string
          description: Asset name
        ticker:
          type: string
          description: Asset ticker
          nullable: true
        url:
          type: string
          description: URL associated with the asset
          nullable: true
    Holders:
      type: object
      description: >-
        Number of holders of at least one of a specific asset or assets of a
        specific policy, by address or address staking part
      required:
        - by_address
        - by_account
      properties:
        by_account:
          type: integer
          format: int64
          description: >-
            Number of unique staking keys used in addresses which control at
            least one of an asset of the policy ID
          minimum: 0
        by_address:
          type: integer
          format: int64
          description: >-
            Number of unique addresses which control at least one of an asset of
            the policy ID
          minimum: 0
    Cip68Metadata:
      type: object
      required:
        - purpose
        - version
        - metadata
      properties:
        extra:
          type: string
          description: Custom user defined Plutus data CBOR bytes
          nullable: true
        metadata:
          type: object
          description: Asset CIP-68 metadata
        purpose:
          $ref: '#/components/schemas/Cip68AssetType'
        version:
          type: integer
          format: int64
          description: CIP-68 version
          minimum: 0
    Cip68AssetType:
      type: string
      enum:
        - reference_nft
        - user_nft
        - user_ft
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````